/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @generated by an internal genrule from Flow types.
 *
 * We create an umbrella header (and corresponding implementation) here since
 * Cxx compilation in BUCK has a limitation: source-code producing genrule()s
 * must have a single output. More files => more genrule()s => slower builds.
 */
#import <ReactCommon/JavaTurboModule.h>
#import <ReactCommon/TurboModule.h>
#import <fb/fbjni.h>
#import <jsi/jsi.h>



namespace facebook {
  namespace react {
    /**
     * C++ class for module 'AccessibilityInfo'
     */

    class JSI_EXPORT NativeAccessibilityInfoSpecJSI : public JavaTurboModule {
    public:
      NativeAccessibilityInfoSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'AccessibilityManager'
     */

    class JSI_EXPORT NativeAccessibilityManagerSpecJSI : public JavaTurboModule {
    public:
      NativeAccessibilityManagerSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ActionSheetManager'
     */

    class JSI_EXPORT NativeActionSheetManagerSpecJSI : public JavaTurboModule {
    public:
      NativeActionSheetManagerSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'AlertManager'
     */

    class JSI_EXPORT NativeAlertManagerSpecJSI : public JavaTurboModule {
    public:
      NativeAlertManagerSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'AnimatedModule'
     */

    class JSI_EXPORT NativeAnimatedModuleSpecJSI : public JavaTurboModule {
    public:
      NativeAnimatedModuleSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'AnimationsDebugModule'
     */

    class JSI_EXPORT NativeAnimationsDebugModuleSpecJSI : public JavaTurboModule {
    public:
      NativeAnimationsDebugModuleSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'AppState'
     */

    class JSI_EXPORT NativeAppStateSpecJSI : public JavaTurboModule {
    public:
      NativeAppStateSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'Appearance'
     */

    class JSI_EXPORT NativeAppearanceSpecJSI : public JavaTurboModule {
    public:
      NativeAppearanceSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'AsyncStorage'
     */

    class JSI_EXPORT NativeAsyncStorageSpecJSI : public JavaTurboModule {
    public:
      NativeAsyncStorageSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'BlobModule'
     */

    class JSI_EXPORT NativeBlobModuleSpecJSI : public JavaTurboModule {
    public:
      NativeBlobModuleSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'BugReporting'
     */

    class JSI_EXPORT NativeBugReportingSpecJSI : public JavaTurboModule {
    public:
      NativeBugReportingSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'CameraRollManager'
     */

    class JSI_EXPORT NativeCameraRollManagerSpecJSI : public JavaTurboModule {
    public:
      NativeCameraRollManagerSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'Clipboard'
     */

    class JSI_EXPORT NativeClipboardSpecJSI : public JavaTurboModule {
    public:
      NativeClipboardSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'DatePickerAndroid'
     */

    class JSI_EXPORT NativeDatePickerAndroidSpecJSI : public JavaTurboModule {
    public:
      NativeDatePickerAndroidSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'DevLoadingView'
     */

    class JSI_EXPORT NativeDevLoadingViewSpecJSI : public JavaTurboModule {
    public:
      NativeDevLoadingViewSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'DevMenu'
     */

    class JSI_EXPORT NativeDevMenuSpecJSI : public JavaTurboModule {
    public:
      NativeDevMenuSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'DevSettings'
     */

    class JSI_EXPORT NativeDevSettingsSpecJSI : public JavaTurboModule {
    public:
      NativeDevSettingsSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'DeviceEventManager'
     */

    class JSI_EXPORT NativeDeviceEventManagerSpecJSI : public JavaTurboModule {
    public:
      NativeDeviceEventManagerSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'DeviceInfo'
     */

    class JSI_EXPORT NativeDeviceInfoSpecJSI : public JavaTurboModule {
    public:
      NativeDeviceInfoSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'DialogManagerAndroid'
     */

    class JSI_EXPORT NativeDialogManagerAndroidSpecJSI : public JavaTurboModule {
    public:
      NativeDialogManagerAndroidSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ExceptionsManager'
     */

    class JSI_EXPORT NativeExceptionsManagerSpecJSI : public JavaTurboModule {
    public:
      NativeExceptionsManagerSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'FileReaderModule'
     */

    class JSI_EXPORT NativeFileReaderModuleSpecJSI : public JavaTurboModule {
    public:
      NativeFileReaderModuleSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'FrameRateLogger'
     */

    class JSI_EXPORT NativeFrameRateLoggerSpecJSI : public JavaTurboModule {
    public:
      NativeFrameRateLoggerSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'HeadlessJsTaskSupport'
     */

    class JSI_EXPORT NativeHeadlessJsTaskSupportSpecJSI : public JavaTurboModule {
    public:
      NativeHeadlessJsTaskSupportSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'I18nManager'
     */

    class JSI_EXPORT NativeI18nManagerSpecJSI : public JavaTurboModule {
    public:
      NativeI18nManagerSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ImageEditor'
     */

    class JSI_EXPORT NativeImageEditorSpecJSI : public JavaTurboModule {
    public:
      NativeImageEditorSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ImageLoaderAndroid'
     */

    class JSI_EXPORT NativeImageLoaderAndroidSpecJSI : public JavaTurboModule {
    public:
      NativeImageLoaderAndroidSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ImageLoaderIOS'
     */

    class JSI_EXPORT NativeImageLoaderIOSSpecJSI : public JavaTurboModule {
    public:
      NativeImageLoaderIOSSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ImagePickerIOS'
     */

    class JSI_EXPORT NativeImagePickerIOSSpecJSI : public JavaTurboModule {
    public:
      NativeImagePickerIOSSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ImageStore'
     */

    class JSI_EXPORT NativeImageStoreSpecJSI : public JavaTurboModule {
    public:
      NativeImageStoreSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'JSCHeapCapture'
     */

    class JSI_EXPORT NativeJSCHeapCaptureSpecJSI : public JavaTurboModule {
    public:
      NativeJSCHeapCaptureSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'JSCSamplingProfiler'
     */

    class JSI_EXPORT NativeJSCSamplingProfilerSpecJSI : public JavaTurboModule {
    public:
      NativeJSCSamplingProfilerSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'JSDevSupport'
     */

    class JSI_EXPORT NativeJSDevSupportSpecJSI : public JavaTurboModule {
    public:
      NativeJSDevSupportSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'KeyboardObserver'
     */

    class JSI_EXPORT NativeKeyboardObserverSpecJSI : public JavaTurboModule {
    public:
      NativeKeyboardObserverSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'Linking'
     */

    class JSI_EXPORT NativeLinkingSpecJSI : public JavaTurboModule {
    public:
      NativeLinkingSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'LogBox'
     */

    class JSI_EXPORT NativeLogBoxSpecJSI : public JavaTurboModule {
    public:
      NativeLogBoxSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ModalManager'
     */

    class JSI_EXPORT NativeModalManagerSpecJSI : public JavaTurboModule {
    public:
      NativeModalManagerSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'NetworkingAndroid'
     */

    class JSI_EXPORT NativeNetworkingAndroidSpecJSI : public JavaTurboModule {
    public:
      NativeNetworkingAndroidSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'NetworkingIOS'
     */

    class JSI_EXPORT NativeNetworkingIOSSpecJSI : public JavaTurboModule {
    public:
      NativeNetworkingIOSSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'PermissionsAndroid'
     */

    class JSI_EXPORT NativePermissionsAndroidSpecJSI : public JavaTurboModule {
    public:
      NativePermissionsAndroidSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'PlatformConstantsAndroid'
     */

    class JSI_EXPORT NativePlatformConstantsAndroidSpecJSI : public JavaTurboModule {
    public:
      NativePlatformConstantsAndroidSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'PlatformConstantsIOS'
     */

    class JSI_EXPORT NativePlatformConstantsIOSSpecJSI : public JavaTurboModule {
    public:
      NativePlatformConstantsIOSSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'PushNotificationManagerIOS'
     */

    class JSI_EXPORT NativePushNotificationManagerIOSSpecJSI : public JavaTurboModule {
    public:
      NativePushNotificationManagerIOSSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'RedBox'
     */

    class JSI_EXPORT NativeRedBoxSpecJSI : public JavaTurboModule {
    public:
      NativeRedBoxSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'SegmentFetcher'
     */

    class JSI_EXPORT NativeSegmentFetcherSpecJSI : public JavaTurboModule {
    public:
      NativeSegmentFetcherSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'SettingsManager'
     */

    class JSI_EXPORT NativeSettingsManagerSpecJSI : public JavaTurboModule {
    public:
      NativeSettingsManagerSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ShareModule'
     */

    class JSI_EXPORT NativeShareModuleSpecJSI : public JavaTurboModule {
    public:
      NativeShareModuleSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'SoundManager'
     */

    class JSI_EXPORT NativeSoundManagerSpecJSI : public JavaTurboModule {
    public:
      NativeSoundManagerSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'SourceCode'
     */

    class JSI_EXPORT NativeSourceCodeSpecJSI : public JavaTurboModule {
    public:
      NativeSourceCodeSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'StatusBarManagerAndroid'
     */

    class JSI_EXPORT NativeStatusBarManagerAndroidSpecJSI : public JavaTurboModule {
    public:
      NativeStatusBarManagerAndroidSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'StatusBarManagerIOS'
     */

    class JSI_EXPORT NativeStatusBarManagerIOSSpecJSI : public JavaTurboModule {
    public:
      NativeStatusBarManagerIOSSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'TVNavigationEventEmitter'
     */

    class JSI_EXPORT NativeTVNavigationEventEmitterSpecJSI : public JavaTurboModule {
    public:
      NativeTVNavigationEventEmitterSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'TimePickerAndroid'
     */

    class JSI_EXPORT NativeTimePickerAndroidSpecJSI : public JavaTurboModule {
    public:
      NativeTimePickerAndroidSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'Timing'
     */

    class JSI_EXPORT NativeTimingSpecJSI : public JavaTurboModule {
    public:
      NativeTimingSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'ToastAndroid'
     */

    class JSI_EXPORT NativeToastAndroidSpecJSI : public JavaTurboModule {
    public:
      NativeToastAndroidSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'UIManager'
     */

    class JSI_EXPORT NativeUIManagerSpecJSI : public JavaTurboModule {
    public:
      NativeUIManagerSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'Vibration'
     */

    class JSI_EXPORT NativeVibrationSpecJSI : public JavaTurboModule {
    public:
      NativeVibrationSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook

namespace facebook {
  namespace react {
    /**
     * C++ class for module 'WebSocketModule'
     */

    class JSI_EXPORT NativeWebSocketModuleSpecJSI : public JavaTurboModule {
    public:
      NativeWebSocketModuleSpecJSI(jni::alias_ref<JTurboModule> instance, std::shared_ptr<CallInvoker> jsInvoker, std::shared_ptr<CallInvoker> nativeInvoker);

    };
  } // namespace react
} // namespace facebook



